/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema DBREGALI
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ DBREGALI;
USE DBREGALI;
CREATE TABLE `PERSONE` (
  `ID_PERSONA` char(25) NOT NULL,
  `DESCR` char(60) default NULL,
  `BUDGET` float default NULL,
  `ETA` int(11) default NULL,
  `HOBBY` char(30) default NULL,
  `SPORT` char(30) default NULL,
  `SINGLE` char(1) default NULL,
  `NATOIL` char(8) default NULL,
  PRIMARY KEY  (`ID_PERSONA`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='ANAGRAFICA PERSONE';
INSERT INTO `PERSONE` VALUES  ('francog','Francesco Germinara',120,39,'Computer','Corsa','1','19660220'),
 ('adrianab','Adriana',300,40,'Teatro','','0','19640905'),
 ('GIANNIF','Gianni',20,45,'COMPUTER','MOTO','0','20010101'),
 ('FRANCY','Francesca',500,12,'DANZA','PALLAVOLO','1','19931015');
CREATE TABLE `REGALI` (
  `ID_REGALO` char(25) NOT NULL,
  `DESCR` char(60) default NULL,
  `COSTO` float default NULL,
  `ADATTO_SINGLE` char(1) default NULL,
  `ETA_DA` int(11) default NULL,
  `ETA_A` int(11) default NULL,
  `IDEALE_PER` char(30) default NULL,
  PRIMARY KEY  (`ID_REGALO`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='ANAGRAFICA REGALI';
INSERT INTO `REGALI` VALUES  ('IPOD 30','IPOD DA 30 GB',350,'1',12,60,'MUSICA'),
 ('IPOD 60','IPOD DA 60 GB',550,'1',18,50,'COMPUTER'),
 ('LIBRO','Libro generico',20,'0',15,70,'LEGGERE'),
 ('CD','CD GENERICO',20,'0',20,50,''),
 ('GIACCONE','Giaccone invernale',400,'1',10,80,'MONTAGNA'),
 ('NIKON D70','Macchina fotografica digitale nikon D70',1500,'1',16,80,'FOTOGRAFIA'),
 ('G5','APPLE G5 DUAL PROCESSOR',2500,'0',20,50,'COMPUTER'),
 ('TUTA','Completo maglietta e pantaloncino',25,'0',0,0,'DANZA');
CREATE TABLE `RICORRENZE` (
  `ID_TIPO_RICOR` char(4) NOT NULL,
  `DESCR` char(60) default NULL,
  PRIMARY KEY  (`ID_TIPO_RICOR`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='TIPI DI RICORRENZE';
INSERT INTO `RICORRENZE` VALUES  ('COMP','Compleanno'),
 ('MATR','Matrimonio'),
 ('NTL','Natale'),
 ('ONOM','Onomastico'),
 ('LAUR','Laurea'),
 ('DIPL','Diploma'),
 ('BATT','Battesimo'),
 ('CRES','Cresima'),
 ('COM','Comunione'),
 ('NASC','Nascita figlio'),
 ('INZL','Inizio nuovo lavoro');
CREATE TABLE `STORICOREGALI` (
  `ID_PERSONA` char(25) NOT NULL,
  `ID_REGALO` char(25) NOT NULL,
  `ANNO` char(4) NOT NULL,
  `ID_TIPO_RICOR` char(4) NOT NULL,
  PRIMARY KEY  (`ID_PERSONA`,`ID_REGALO`,`ANNO`,`ID_TIPO_RICOR`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Movimenti Storico Regali/Persone';
INSERT INTO `STORICOREGALI` VALUES  ('adrianab','nikon d70','2005','NTL'),
 ('FRANCOG','G5','2004','NTL'),
 ('FRANCOG','GIACCONE','2003','NTL'),
 ('francog','ipod 60','2005','COMP'),
 ('GIANNIF','IPOD 30','2005','DIPL'),
 ('giannif','libro','2005','NTL');
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
